> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Decide Sharing Request

> Share or keep private one of your pending requests.

This records your decision on the existing request without rewriting its content.
It does not retract existing access or reverse an earlier decision. Content filters
still apply. A repeat of the same successful decision is safe.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json post /memories/sharing/decide
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /memories/sharing/decide:
    post:
      tags:
        - Memories
      summary: Decide Sharing Request
      description: >-
        Share or keep private one of your pending requests.


        This records your decision on the existing request without rewriting its
        content.

        It does not retract existing access or reverse an earlier decision.
        Content filters

        still apply. A repeat of the same successful decision is safe.
      operationId: decide_sharing_request_memories_sharing_decide_post
      parameters:
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SharingDecision'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SharingDecisionResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    SharingDecision:
      properties:
        source:
          $ref: '#/components/schemas/DocumentProviders'
        resource_id:
          type: string
          maxLength: 2048
          minLength: 1
          title: Resource Id
        decision:
          type: string
          enum:
            - share
            - keep_private
          title: Decision
      type: object
      required:
        - source
        - resource_id
        - decision
      title: SharingDecision
    SharingDecisionResult:
      properties:
        source:
          type: string
          title: Source
        resource_id:
          type: string
          title: Resource Id
        decision:
          type: string
          enum:
            - share
            - keep_private
          title: Decision
        outcome:
          type: string
          enum:
            - shared
            - dismissed
          title: Outcome
      type: object
      required:
        - source
        - resource_id
        - decision
        - outcome
      title: SharingDecisionResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentProviders:
      type: string
      enum:
        - reddit
        - notion
        - slack
        - google_calendar
        - google_mail
        - imap
        - google_meet
        - box
        - dropbox
        - github
        - gitlab
        - google_drive
        - vault
        - web_crawler
        - trace
        - microsoft_outlook
        - microsoft_teams
        - granola
        - fathom
        - fireflies
        - figma
        - linear
        - hubspot
        - salesforce
        - coda
        - confluence
        - jira
        - metabase
        - gong
        - clickup
        - lightfield
        - pylon
        - fellow
        - odoo
        - external_mcp
        - page
      title: DocumentProviders
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.